lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alméras Yannick <yalme...@gmail.com>
Subject Re: Error when merging segments ("terms out of order")
Date Tue, 07 May 2019 13:47:47 GMT
Hello !

(sorry for my last double post... I thought there was a problem with my other 
mail address).

Le mardi 7 mai 2019, 15:25:13 CEST Shawn Heisey a écrit :
> On 5/7/2019 5:28 AM, Alméras Yannick wrote:
> > I don't understand a problem on my ubuntu 18.04 solr server (version
> > 7.6.0)...
> > 
> > When merge of segments is called, there is an error and then, the index is
> > not writable. The logs of a failed segments merging are at the end of
> > this message (here, I forced the merge but it's the same without
> > forcing).
> > 
> > How can I debug this ? I don't understand the cause of the following error
> > 
> > java.lang.IllegalArgumentException: terms out of order: priorTerm=[6e 61
> > 64 69 6e 65 2e 76 61 6c 61 64 65 5f 33 35 32 37],currentTerm=[6e 61 64 69
> > 6e 65 2e 76 61 6c 61 64 65 5f 33 35 32 37]"
> > 
> > Another thing : I can't reproduce the bug on archlinux with the same
> > configuration of solr server (version 7.6.0)... ????
> 
> Are the two systems running different Java?  What vendor and version of
> Java is on each server?  Knowing the vendor is very important.  Some of
> this information is on the admin UI dashboard, and you can get
> definitive information by running "java -version" at the commandline.
> Since it is easy to have multiple Java versions on a system, and only
> one of those versions is likely the be accessible via the system PATH,
> you need to make sure you're running the right one.

Here are the java versions which run solr :

* On Ubuntu (with error) : 
openjdk version "11.0.2" 2019-01-15
OpenJDK Runtime Environment (build 11.0.2+9-Ubuntu-3ubuntu118.04.3)
OpenJDK Server VM (build 11.0.2+9-Ubuntu-3ubuntu118.04.3, mixed mode, sharing)

* On archlinux (without being able to produce the error) :
openjdk version "11.0.3" 2019-04-16
OpenJDK Runtime Environment (build 11.0.3+4)
OpenJDK 64-Bit Server VM (build 11.0.3+4, mixed mode)

(I also tried with version 10 on archlinux, without being able to produce the 
error ; note that Ubuntu is the prod server which is slowest than my archlinux 
local dev server).

> Can you share the entire solr.log file that contains the problem, so we
> can see the entire sequence of errors?

Here it is :
https://www.dropbox.com/s/h1c8qpb3wzaim5k/solr.log?dl=0

If necessary, here are solrconfig.xml and schema.xml :
https://www.dropbox.com/s/pn19va6ss6n2gql/solrconfig.xml?dl=0
https://www.dropbox.com/s/9sjo7q1zi1y1o1k/schema.xml?dl=0


Best Regards,
Y. Alméras



Mime
View raw message